# Update Model Version

Launch stage: GA

`PATCH /api/2.0/mlflow/model-versions/update`

Updates the model version.

API scopes: mlflow

## Request body

- `name` (string, optional)
  Name of the registered model
- `version` (string, optional)
  Model version number
- `description` (string, optional)
  If provided, updates the description for this `registered_model`.

## Returns

- `model_version` (object, optional)
  Return new version number generated for this model in registry.
  - `name` (string, optional)
    Unique name of the model
  - `version` (string, optional)
    Model's version number.
  - `creation_timestamp` (int64, optional)
    Timestamp recorded when this `model_version` was created.
  - `last_updated_timestamp` (int64, optional)
    Timestamp recorded when metadata for this `model_version` was last updated.
  - `user_id` (string, optional)
    User that created this `model_version`.
  - `current_stage` (string, optional)
    Current stage for this `model_version`.
  - `description` (string, optional)
    Description of this `model_version`.
  - `source` (string, optional)
    URI indicating the location of the source model artifacts, used when creating `model_version`
  - `run_id` (string, optional)
    MLflow run ID used when creating `model_version`, if `source` was generated by an
     experiment run stored in MLflow tracking server.
  - `status` (string, optional)
    Current status of `model_version`
    Possible values: `PENDING_REGISTRATION`, `FAILED_REGISTRATION`, `READY`
  - `status_message` (string, optional)
    Details on current `status`, if it is pending or failed.
  - `tags` (array of object, optional)
    Tags: Additional metadata key-value pairs for this `model_version`.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.
  - `run_link` (string, optional)
    Run Link: Direct link to the run that generated this version

## Response

```json
{
  "model_version": {
    "name": "string",
    "version": "string",
    "creation_timestamp": 0,
    "last_updated_timestamp": 0,
    "user_id": "string",
    "current_stage": "string",
    "description": "string",
    "source": "string",
    "run_id": "string",
    "status": "string",
    "status_message": "string",
    "tags": [
      {}
    ],
    "run_link": "string"
  }
}
```

